Game Develop Core: gd::AutomatismsSharedData Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::AutomatismsSharedData Class Reference

Base class for defining data shared by automatisms having the same type and name. More...

`#include <AutomatismsSharedData.h>`

## Public Member Functions

virtual boost::shared_ptr < gd::AutomatismsSharedData > | Clone () const
void | SetName (std::string name_)
| Change the name identifying the automatism.
std::string | GetName ()
| Return the name identifying the automatism.
std::string | GetTypeName ()
| Return the name identifying the type of the automatism.
virtual void | SetTypeName (const std::string &type_)
| Change name identifying the type of the automatism.
virtual void | SaveToXml (TiXmlElement *eventElem) const
| Save the object to XML.
virtual void | LoadFromXml (const TiXmlElement *eventElem)
| Load the object from XML.
virtual boost::shared_ptr < AutomatismsRuntimeSharedData > | CreateRuntimeSharedDatas ()

## Detailed Description

Base class for defining data shared by automatisms having the same type and name.

Automatisms can use shared data, as if they were extending the gd::Layout class.

Note
  GD C++ Platform extensions writers : Inherit from this class, and redefine Clone and CreateRuntimeSharedDatas.

## Member Function Documentation

virtual boost::shared_ptr<AutomatismsRuntimeSharedData> gd::AutomatismsSharedData::CreateRuntimeSharedDatas | ( | ) |  |

inlinevirtual

Create Runtime equivalent of the shared datas. Derived class have to redefine this so as to create an appropriate object containing runtime shared datas.

The documentation for this class was generated from the following files:

- AutomatismsSharedData.h
- AutomatismsSharedData.cpp